#include "historyviewplugin.h"

#include "historyview.h"

#include <QtCore/QtPlugin>


HistoryViewPlugin::HistoryViewPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void HistoryViewPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool HistoryViewPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * HistoryViewPlugin::createWidget(QWidget * parent) {
	return new HistoryView(parent);
}


QString HistoryViewPlugin::name() const {
	return QLatin1String("HistoryView");
}


QString HistoryViewPlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon HistoryViewPlugin::icon() const {
	return QIcon(":/icons/widgets/historyview.png");
}


QString HistoryViewPlugin::toolTip() const {
	return QLatin1String("");
}


QString HistoryViewPlugin::whatsThis() const {
	return QLatin1String("");
}


bool HistoryViewPlugin::isContainer() const {
	return true;
}


QString HistoryViewPlugin::domXml() const {
	return QLatin1String("<widget class=\"HistoryView\" name=\"historyView\">\n</widget>\n");
}


QString HistoryViewPlugin::includeFile() const {
	return QLatin1String("historyview.h");
}
